Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Smart Web Security
RU
  • Начало работы
    • Обзор
    • Профили безопасности
    • WAF
    • ARL (лимит на запросы)
    • Правила
    • Условия
    • Списки
    • Управление бот-трафиком
    • Защита доменов
    • Шаблоны ответов
    • Логирование
    • Квоты и лимиты
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
          • Overview
          • Get
          • List
          • Create
          • Update
          • Delete
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений

В этой статье:

  • HTTP request
  • Path parameters
  • Body parameters
  • AdvancedRateLimiterRule
  • StaticQuota
  • Condition
  • AuthorityMatcher
  • StringMatcher
  • ListsMatchers
  • ListsMatcher
  • HttpMethodMatcher
  • RequestUriMatcher
  • QueryMatcher
  • HeaderMatcher
  • IpMatcher
  • IpRangesMatcher
  • GeoIpMatcher
  • AsnRangesMatcher
  • CookieMatcher
  • BotCategoryMatcher
  • BotNameMatcher
  • BotScoreMatcher
  • IntMatcher
  • IntLEMatcher
  • IntGEMatcher
  • IntEQMatcher
  • IntNEMatcher
  • VerifiedBotMatcher
  • BoolMatcher
  • FingerPrintMatcher
  • DynamicQuota
  • Characteristic
  • SimpleCharacteristic
  • KeyCharacteristic
  • Response
  • Status
  1. Справочник API
  2. REST (англ.)
  3. SmartWebSecurity ARL API
  4. AdvancedRateLimiterProfile
  5. Update

SmartWebSecurity ARL API, REST: AdvancedRateLimiterProfile.Update

Статья создана
Yandex Cloud
Обновлена 28 мая 2026 г.
  • HTTP request
  • Path parameters
  • Body parameters
  • AdvancedRateLimiterRule
  • StaticQuota
  • Condition
  • AuthorityMatcher
  • StringMatcher
  • ListsMatchers
  • ListsMatcher
  • HttpMethodMatcher
  • RequestUriMatcher
  • QueryMatcher
  • HeaderMatcher
  • IpMatcher
  • IpRangesMatcher
  • GeoIpMatcher
  • AsnRangesMatcher
  • CookieMatcher
  • BotCategoryMatcher
  • BotNameMatcher
  • BotScoreMatcher
  • IntMatcher
  • IntLEMatcher
  • IntGEMatcher
  • IntEQMatcher
  • IntNEMatcher
  • VerifiedBotMatcher
  • BoolMatcher
  • FingerPrintMatcher
  • DynamicQuota
  • Characteristic
  • SimpleCharacteristic
  • KeyCharacteristic
  • Response
  • Status

Updates the specified ARL profile.

HTTP requestHTTP request

PATCH https://smartwebsecurity.api.cloud.yandex.net/smartwebsecurity/v1/advancedRateLimiterProfiles/{advancedRateLimiterProfileId}

Path parametersPath parameters

Field

Description

advancedRateLimiterProfileId

string

Required field. ID of the ARL profile to update.

Body parametersBody parameters

{
  "updateMask": "string",
  "labels": "object",
  "name": "string",
  "description": "string",
  "advancedRateLimiterRules": [
    {
      // Includes only one of the fields `staticQuota`, `dynamicQuota`
      "staticQuota": {
        "action": "string",
        "condition": {
          "authority": {
            "authorities": [
              {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            ],
            "authorityMatcher": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            }
          },
          "httpMethod": {
            "httpMethods": [
              {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            ],
            "httpMethodMatcher": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            }
          },
          "requestUri": {
            "path": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            },
            "queries": [
              {
                "key": "string",
                "value": {
                  // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                  "exactMatch": "string",
                  "exactNotMatch": "string",
                  "prefixMatch": "string",
                  "prefixNotMatch": "string",
                  "pireRegexMatch": "string",
                  "pireRegexNotMatch": "string",
                  "defined": "boolean",
                  "listsMatchers": {
                    "strListsMatch": {
                      "listIds": [
                        "string"
                      ]
                    },
                    "strListsNotMatch": {
                      "listIds": [
                        "string"
                      ]
                    },
                    "regExpListsMatch": {
                      "listIds": [
                        "string"
                      ]
                    },
                    "regExpListsNotMatch": {
                      "listIds": [
                        "string"
                      ]
                    }
                  }
                  // end of the list of possible fields
                }
              }
            ]
          },
          "headers": [
            {
              "name": "string",
              "value": {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            }
          ],
          "sourceIp": {
            "ipRangesMatch": {
              "ipRanges": [
                "string"
              ]
            },
            "ipRangesNotMatch": {
              "ipRanges": [
                "string"
              ]
            },
            "geoIpMatch": {
              "locations": [
                "string"
              ]
            },
            "geoIpNotMatch": {
              "locations": [
                "string"
              ]
            },
            "ipListsMatch": {
              "listIds": [
                "string"
              ]
            },
            "ipListsNotMatch": {
              "listIds": [
                "string"
              ]
            },
            "asnRangesMatch": {
              "asnRanges": [
                "string"
              ]
            },
            "asnRangesNotMatch": {
              "asnRanges": [
                "string"
              ]
            },
            "asnListsMatch": {
              "listIds": [
                "string"
              ]
            },
            "asnListsNotMatch": {
              "listIds": [
                "string"
              ]
            }
          },
          "cookies": [
            {
              "name": "string",
              "value": {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            }
          ],
          "botCategory": {
            "botCategoryListsMatch": {
              "listIds": [
                "string"
              ]
            },
            "botCategoryListsNotMatch": {
              "listIds": [
                "string"
              ]
            }
          },
          "botName": {
            "botNameListsMatch": {
              "listIds": [
                "string"
              ]
            },
            "botNameListsNotMatch": {
              "listIds": [
                "string"
              ]
            }
          },
          "botScore": {
            "value": [
              {
                // Includes only one of the fields `leMatch`, `geMatch`, `eqMatch`, `neMatch`
                "leMatch": {
                  "value": "string"
                },
                "geMatch": {
                  "value": "string"
                },
                "eqMatch": {
                  "value": "string"
                },
                "neMatch": {
                  "value": "string"
                }
                // end of the list of possible fields
              }
            ]
          },
          "verifiedBot": {
            "verified": {
              "match": "boolean"
            }
          },
          "fingerPrint": {
            "ja3Ranges": [
              {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            ],
            "ja4Ranges": [
              {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            ],
            "ja3Matcher": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            },
            "ja4Matcher": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            }
          }
        },
        "limit": "string",
        "period": "string"
      },
      "dynamicQuota": {
        "action": "string",
        "condition": {
          "authority": {
            "authorities": [
              {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            ],
            "authorityMatcher": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            }
          },
          "httpMethod": {
            "httpMethods": [
              {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            ],
            "httpMethodMatcher": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            }
          },
          "requestUri": {
            "path": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            },
            "queries": [
              {
                "key": "string",
                "value": {
                  // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                  "exactMatch": "string",
                  "exactNotMatch": "string",
                  "prefixMatch": "string",
                  "prefixNotMatch": "string",
                  "pireRegexMatch": "string",
                  "pireRegexNotMatch": "string",
                  "defined": "boolean",
                  "listsMatchers": {
                    "strListsMatch": {
                      "listIds": [
                        "string"
                      ]
                    },
                    "strListsNotMatch": {
                      "listIds": [
                        "string"
                      ]
                    },
                    "regExpListsMatch": {
                      "listIds": [
                        "string"
                      ]
                    },
                    "regExpListsNotMatch": {
                      "listIds": [
                        "string"
                      ]
                    }
                  }
                  // end of the list of possible fields
                }
              }
            ]
          },
          "headers": [
            {
              "name": "string",
              "value": {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            }
          ],
          "sourceIp": {
            "ipRangesMatch": {
              "ipRanges": [
                "string"
              ]
            },
            "ipRangesNotMatch": {
              "ipRanges": [
                "string"
              ]
            },
            "geoIpMatch": {
              "locations": [
                "string"
              ]
            },
            "geoIpNotMatch": {
              "locations": [
                "string"
              ]
            },
            "ipListsMatch": {
              "listIds": [
                "string"
              ]
            },
            "ipListsNotMatch": {
              "listIds": [
                "string"
              ]
            },
            "asnRangesMatch": {
              "asnRanges": [
                "string"
              ]
            },
            "asnRangesNotMatch": {
              "asnRanges": [
                "string"
              ]
            },
            "asnListsMatch": {
              "listIds": [
                "string"
              ]
            },
            "asnListsNotMatch": {
              "listIds": [
                "string"
              ]
            }
          },
          "cookies": [
            {
              "name": "string",
              "value": {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            }
          ],
          "botCategory": {
            "botCategoryListsMatch": {
              "listIds": [
                "string"
              ]
            },
            "botCategoryListsNotMatch": {
              "listIds": [
                "string"
              ]
            }
          },
          "botName": {
            "botNameListsMatch": {
              "listIds": [
                "string"
              ]
            },
            "botNameListsNotMatch": {
              "listIds": [
                "string"
              ]
            }
          },
          "botScore": {
            "value": [
              {
                // Includes only one of the fields `leMatch`, `geMatch`, `eqMatch`, `neMatch`
                "leMatch": {
                  "value": "string"
                },
                "geMatch": {
                  "value": "string"
                },
                "eqMatch": {
                  "value": "string"
                },
                "neMatch": {
                  "value": "string"
                }
                // end of the list of possible fields
              }
            ]
          },
          "verifiedBot": {
            "verified": {
              "match": "boolean"
            }
          },
          "fingerPrint": {
            "ja3Ranges": [
              {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            ],
            "ja4Ranges": [
              {
                // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
                "exactMatch": "string",
                "exactNotMatch": "string",
                "prefixMatch": "string",
                "prefixNotMatch": "string",
                "pireRegexMatch": "string",
                "pireRegexNotMatch": "string",
                "defined": "boolean",
                "listsMatchers": {
                  "strListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "strListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsMatch": {
                    "listIds": [
                      "string"
                    ]
                  },
                  "regExpListsNotMatch": {
                    "listIds": [
                      "string"
                    ]
                  }
                }
                // end of the list of possible fields
              }
            ],
            "ja3Matcher": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            },
            "ja4Matcher": {
              // Includes only one of the fields `exactMatch`, `exactNotMatch`, `prefixMatch`, `prefixNotMatch`, `pireRegexMatch`, `pireRegexNotMatch`, `defined`, `listsMatchers`
              "exactMatch": "string",
              "exactNotMatch": "string",
              "prefixMatch": "string",
              "prefixNotMatch": "string",
              "pireRegexMatch": "string",
              "pireRegexNotMatch": "string",
              "defined": "boolean",
              "listsMatchers": {
                "strListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "strListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsMatch": {
                  "listIds": [
                    "string"
                  ]
                },
                "regExpListsNotMatch": {
                  "listIds": [
                    "string"
                  ]
                }
              }
              // end of the list of possible fields
            }
          }
        },
        "limit": "string",
        "period": "string",
        "characteristics": [
          {
            // Includes only one of the fields `simpleCharacteristic`, `keyCharacteristic`
            "simpleCharacteristic": {
              "type": "string"
            },
            "keyCharacteristic": {
              "type": "string",
              "value": "string"
            },
            // end of the list of possible fields
            "caseInsensitive": "boolean"
          }
        ]
      },
      // end of the list of possible fields
      "name": "string",
      "priority": "string",
      "description": "string",
      "dryRun": "boolean"
    }
  ]
}

Field

Description

updateMask

string (field-mask)

A comma-separated names off ALL fields to be updated.
Only the specified fields will be changed. The others will be left untouched.
If the field is specified in updateMask and no value for that field was sent in the request,
the field's value will be reset to the default. The default value for most fields is null or 0.

If updateMask is not sent in the request, all fields' values will be updated.
Fields specified in the request will be updated to provided values.
The rest of the fields will be reset to the default.

labels

object (map<string, string>)

Labels as key:value pairs. Maximum of 64 per resource.

name

string

Name of the ARL profile. The name is unique within the folder. 1-50 characters long.

The string length in characters must be 1-50. Value must match the regular expression [a-zA-Z0-9][a-zA-Z0-9-_.]*.

description

string

Optional description of the ARL profile.

advancedRateLimiterRules[]

AdvancedRateLimiterRule

List of rules.

AdvancedRateLimiterRuleAdvancedRateLimiterRule

A AdvancedRateLimiterRule object, see Rules.

Field

Description

staticQuota

StaticQuota

Static quota. Counting each request individually.

Includes only one of the fields staticQuota, dynamicQuota.

dynamicQuota

DynamicQuota

Dynamic quota. Grouping requests by a certain attribute and limiting the number of groups.

Includes only one of the fields staticQuota, dynamicQuota.

name

string

Required field. Name of the rule. The name is unique within the ARL profile. 1-50 characters long.

The string length in characters must be 1-50. Value must match the regular expression [a-zA-Z0-9][a-zA-Z0-9-_.]*.

priority

string (int64)

Determines the priority in case there are several matched rules.
Enter an integer within the range of 1 and 999999.
The rule priority must be unique within the entire ARL profile.
A lower numeric value means a higher priority.

Acceptable values are 1 to 999999, inclusive.

description

string

Optional description of the rule. 0-512 characters long.

The maximum string length in characters is 512.

dryRun

boolean

This allows you to evaluate backend capabilities and find the optimum limit values.
Requests will not be blocked in this mode.

StaticQuotaStaticQuota

StaticQuota object.

Field

Description

action

enum (Action)

Required field. Action in case of exceeding this quota.

  • DENY: Deny request.

condition

Condition

The condition for matching the quota.

limit

string (int64)

Desired maximum number of requests per period.
Enter an integer within the range of 1 and 9999999999999.

Acceptable values are 1 to 9999999999999, inclusive.

period

string (int64)

Period of time in seconds.

ConditionCondition

Condition object. AND semantics implied.
See documentation for matchers description.

Field

Description

authority

AuthorityMatcher

Match authority (Host header).

httpMethod

HttpMethodMatcher

Match HTTP method.

requestUri

RequestUriMatcher

Match Request URI.

headers[]

HeaderMatcher

Match HTTP headers.

The maximum number of elements is 20.

sourceIp

IpMatcher

Match IP.

cookies[]

CookieMatcher

Match cookies.

The maximum number of elements is 20.

botCategory

BotCategoryMatcher

Match bot category.

botName

BotNameMatcher

Match bot name.

botScore

BotScoreMatcher

Match bot score.

verifiedBot

VerifiedBotMatcher

Match verified bot.

fingerPrint

FingerPrintMatcher

Match fingerprint.

AuthorityMatcherAuthorityMatcher

AuthorityMatcher object.

Field

Description

authorities[]

StringMatcher

List of authorities. OR semantics implied.

The maximum number of elements is 20.

authorityMatcher

StringMatcher

Authority matcher.

StringMatcherStringMatcher

StringMatcher object.

Field

Description

exactMatch

string

Exact match condition.

The string length in characters must be 0-255.

Includes only one of the fields exactMatch, exactNotMatch, prefixMatch, prefixNotMatch, pireRegexMatch, pireRegexNotMatch, defined, listsMatchers.

exactNotMatch

string

Exact not match condition.

The string length in characters must be 0-255.

Includes only one of the fields exactMatch, exactNotMatch, prefixMatch, prefixNotMatch, pireRegexMatch, pireRegexNotMatch, defined, listsMatchers.

prefixMatch

string

Prefix match condition.

The string length in characters must be 0-255.

Includes only one of the fields exactMatch, exactNotMatch, prefixMatch, prefixNotMatch, pireRegexMatch, pireRegexNotMatch, defined, listsMatchers.

prefixNotMatch

string

Prefix not match condition.

The string length in characters must be 0-255.

Includes only one of the fields exactMatch, exactNotMatch, prefixMatch, prefixNotMatch, pireRegexMatch, pireRegexNotMatch, defined, listsMatchers.

pireRegexMatch

string

PIRE regex match condition.

The string length in characters must be 0-255.

Includes only one of the fields exactMatch, exactNotMatch, prefixMatch, prefixNotMatch, pireRegexMatch, pireRegexNotMatch, defined, listsMatchers.

pireRegexNotMatch

string

PIRE regex not match condition.

The string length in characters must be 0-255.

Includes only one of the fields exactMatch, exactNotMatch, prefixMatch, prefixNotMatch, pireRegexMatch, pireRegexNotMatch, defined, listsMatchers.

defined

boolean

Matches if the field is defined.

Includes only one of the fields exactMatch, exactNotMatch, prefixMatch, prefixNotMatch, pireRegexMatch, pireRegexNotMatch, defined, listsMatchers.

listsMatchers

ListsMatchers

Matches against string and regular expression lists.

Includes only one of the fields exactMatch, exactNotMatch, prefixMatch, prefixNotMatch, pireRegexMatch, pireRegexNotMatch, defined, listsMatchers.

ListsMatchersListsMatchers

ListsMatchers object.

Field

Description

strListsMatch

ListsMatcher

String lists to match with.

strListsNotMatch

ListsMatcher

String lists to not match with.

regExpListsMatch

ListsMatcher

Regular expression lists to match with.

regExpListsNotMatch

ListsMatcher

Regular expression lists to not match with.

ListsMatcherListsMatcher

ListsMatcher object.

Field

Description

listIds[]

string

List of list IDs to match against. OR semantics implied.

The number of elements must be in the range 1-10.

HttpMethodMatcherHttpMethodMatcher

HttpMethodMatcher object.

Field

Description

httpMethods[]

StringMatcher

List of HTTP methods. OR semantics implied.

The maximum number of elements is 20.

httpMethodMatcher

StringMatcher

HTTP method matcher.

RequestUriMatcherRequestUriMatcher

RequestUriMatcher object. AND semantics implied.

Field

Description

path

StringMatcher

Path of the URI RFC3986.

queries[]

QueryMatcher

List of query matchers. AND semantics implied.

The maximum number of elements is 20.

QueryMatcherQueryMatcher

QueryMatcher object.

Field

Description

key

string

Required field. Key of the query parameter.

The string length in characters must be 1-255.

value

StringMatcher

Required field. Value of the query parameter.

HeaderMatcherHeaderMatcher

HeaderMatcher object.

Field

Description

name

string

Required field. Name of header (case insensitive).

The string length in characters must be 1-255.

value

StringMatcher

Required field. Value of the header.

IpMatcherIpMatcher

IpMatcher object. AND semantics implied.

Field

Description

ipRangesMatch

IpRangesMatcher

IP ranges to match with.

ipRangesNotMatch

IpRangesMatcher

IP ranges to not match with.

geoIpMatch

GeoIpMatcher

Geo locations to match with.

geoIpNotMatch

GeoIpMatcher

Geo locations to not match with.

ipListsMatch

ListsMatcher

IP lists to match with.

ipListsNotMatch

ListsMatcher

IP lists to not match with.

asnRangesMatch

AsnRangesMatcher

ASN ranges to match with.

asnRangesNotMatch

AsnRangesMatcher

ASN ranges to not match with.

asnListsMatch

ListsMatcher

ASN lists to match with.

asnListsNotMatch

ListsMatcher

ASN lists to not match with.

IpRangesMatcherIpRangesMatcher

IpRangesMatcher object.

Field

Description

ipRanges[]

string

List of IP ranges. OR semantics implied.

The string length in characters for each value must be greater than 0. The maximum number of elements is 10000.

GeoIpMatcherGeoIpMatcher

GeoIpMatcher object.

Field

Description

locations[]

string

ISO 3166-1 alpha 2. OR semantics implied.

The minimum number of elements is 1.

AsnRangesMatcherAsnRangesMatcher

AsnRangesMatcher object.

Field

Description

asnRanges[]

string (int64)

List of ASN values to match against. OR semantics implied.

The maximum number of elements is 10000. Acceptable values are 0 to 4294967295, inclusive.

CookieMatcherCookieMatcher

CookieMatcher object.

Field

Description

name

string

Required field. Name of the cookie parametr.

The string length in characters must be 1-255.

value

StringMatcher

Required field. Value of the cookie parametr.

BotCategoryMatcherBotCategoryMatcher

BotCategoryMatcher object. AND semantics implied.

Field

Description

botCategoryListsMatch

ListsMatcher

Bot category lists to match with.

botCategoryListsNotMatch

ListsMatcher

Bot category lists to not match with.

BotNameMatcherBotNameMatcher

BotNameMatcher object. AND semantics implied.

Field

Description

botNameListsMatch

ListsMatcher

Bot name lists to match with.

botNameListsNotMatch

ListsMatcher

Bot name lists to not match with.

BotScoreMatcherBotScoreMatcher

BotScoreMatcher object.

Field

Description

value[]

IntMatcher

List of integer matchers for bot score. OR semantics implied.

The maximum number of elements is 4.

IntMatcherIntMatcher

IntMatcher object.

Field

Description

leMatch

IntLEMatcher

Less than or equal condition.

Includes only one of the fields leMatch, geMatch, eqMatch, neMatch.

geMatch

IntGEMatcher

Greater than or equal condition.

Includes only one of the fields leMatch, geMatch, eqMatch, neMatch.

eqMatch

IntEQMatcher

Equal condition.

Includes only one of the fields leMatch, geMatch, eqMatch, neMatch.

neMatch

IntNEMatcher

Not equal condition.

Includes only one of the fields leMatch, geMatch, eqMatch, neMatch.

IntLEMatcherIntLEMatcher

IntLEMatcher object.

Field

Description

value

string (int64)

Upper bound value (inclusive).

IntGEMatcherIntGEMatcher

IntGEMatcher object.

Field

Description

value

string (int64)

Lower bound value (inclusive).

IntEQMatcherIntEQMatcher

IntEQMatcher object.

Field

Description

value

string (int64)

Value to match against.

IntNEMatcherIntNEMatcher

IntNEMatcher object.

Field

Description

value

string (int64)

Value to not match against.

VerifiedBotMatcherVerifiedBotMatcher

VerifiedBotMatcher object.

Field

Description

verified

BoolMatcher

Matches if the bot is verified or not.

BoolMatcherBoolMatcher

BoolMatcher object.

Field

Description

match

boolean

Boolean value to match against.

FingerPrintMatcherFingerPrintMatcher

FingerPrintMatcher object.

Field

Description

ja3Ranges[]

StringMatcher

List of JA3 fingerprint matchers. OR semantics implied.

The maximum number of elements is 20.

ja4Ranges[]

StringMatcher

List of JA4 fingerprint matchers. OR semantics implied.

The maximum number of elements is 20.

ja3Matcher

StringMatcher

JA3 fingerprint matcher.

ja4Matcher

StringMatcher

JA4 fingerprint matcher.

DynamicQuotaDynamicQuota

DynamicQuota object.

Field

Description

action

enum (Action)

Required field. Action in case of exceeding this quota.

  • DENY: Deny request.

condition

Condition

The condition for matching the quota.

limit

string (int64)

Desired maximum number of requests per period.
Enter an integer within the range of 1 and 9999999999999.

Acceptable values are 1 to 9999999999999, inclusive.

period

string (int64)

Period of time in seconds.

characteristics[]

Characteristic

List of characteristics.

The maximum number of elements is 3.

CharacteristicCharacteristic

Field

Description

simpleCharacteristic

SimpleCharacteristic

Characteristic automatically based on the Request path, HTTP method, IP address, Region, and Host attributes.
See Rules for more details.

Includes only one of the fields simpleCharacteristic, keyCharacteristic.

keyCharacteristic

KeyCharacteristic

Characteristic based on key match in the Query params, HTTP header, and HTTP cookie attributes.
See Rules for more details.

Includes only one of the fields simpleCharacteristic, keyCharacteristic.

caseInsensitive

boolean

Determines case-sensitive or case-insensitive keys matching.

SimpleCharacteristicSimpleCharacteristic

Field

Description

type

enum (Type)

Type of simple characteristic.

  • REQUEST_PATH: HTTP Request path.
  • HTTP_METHOD: HTTP Method.
  • IP: IP address.
  • GEO: Region.
  • HOST: Host.

KeyCharacteristicKeyCharacteristic

Field

Description

type

enum (Type)

Type of key characteristic.

  • COOKIE_KEY: HTTP cookie key.
  • HEADER_KEY: HTTP header key.
  • QUERY_KEY: Query params key.

value

string

String value of the key.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Была ли статья полезна?

Предыдущая
Create
Следующая
Delete
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»